geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Donald Woods <dwo...@apache.org>
Subject Re: Compiling current GEP 2.2 version
Date Fri, 05 Jun 2009 12:53:16 GMT
OK, svn up your copy of devtools trunk and try it again.
I added a repo pointer to the private repo in the 2.0.2 Server svn tag 
(which contains the 2 Tomcat jars) and added the missing scout depends.

You may need to delete any existing org/apache/ws/scout/jax-api 
artifacts from your local .m2 repo or just replace them with the ones from -
https://svn.apache.org/repos/asf/geronimo/server/tags/2.0.2/repository/

as the externally published pom has an incorrect dependency on 
jaxr-api-SANPSHOT which is no longer available (instead of 1.0rc1 as the 
updated copy in the 2.0.2 repo).


-Donald


Johannes Weberhofer, Weberhofer GmbH wrote:
> Sorry for cross-posting, I have posted that in the user-group before.
> 
> I try to compile the current GEP 2.2 source against the Elicpse 3.5 RC2. 
> On compilation I get, when the tests are enabled, the errors below. It 
> seems those packages needed for geronimo 2.0.2 are not longer available 
> on the maven repositories. Are those packages available somwhere for 
> manual download?
> 
> Best regards,
> Johannes
> 
> 
> [INFO] 
> ------------------------------------------------------------------------
> [ERROR] BUILD ERROR
> [INFO] 
> ------------------------------------------------------------------------
> [INFO] Failed to resolve artifact.
> 
> Missing:
> ----------
> 1) org.apache.ws.scout:jaxr-api:jar:SNAPSHOT
> 
>   Try downloading the file manually from the project website.
> 
>   Then, install it using the command:
>       mvn install:install-file -DgroupId=org.apache.ws.scout 
> -DartifactId=jaxr-api -Dversion=SNAPSHOT -Dpackaging=jar 
> -Dfile=/path/to/file
> 
>   Alternatively, if you host your own repository you can deploy the file 
> there:
>       mvn deploy:deploy-file -DgroupId=org.apache.ws.scout 
> -DartifactId=jaxr-api -Dversion=SNAPSHOT -Dpackaging=jar 
> -Dfile=/path/to/file -Durl=[url] -DrepositoryId=[id]
> 
>   Path to dependency:
>         1) org.apache.geronimo.devtools:testsuite-eclipse:pom:2.2.0
>         2) 
> org.apache.geronimo.assemblies:geronimo-tomcat6-jee5:zip:bin:2.0.2
>         3) org.apache.geronimo.configs:axis:car:2.0.2
>         4) org.apache.ws.scout:scout:jar:1.0rc1
>         5) org.apache.ws.scout:jaxr-api:jar:SNAPSHOT
> 
> 2) org.apache.tomcat:catalina:jar:6.0.13-G543818
> 
>   Try downloading the file manually from the project website.
> 
>   Then, install it using the command:
>       mvn install:install-file -DgroupId=org.apache.tomcat 
> -DartifactId=catalina -Dversion=6.0.13-G543818 -Dpackaging=jar 
> -Dfile=/path/to/file
> 
>   Alternatively, if you host your own repository you can deploy the file 
> there:
>       mvn deploy:deploy-file -DgroupId=org.apache.tomcat 
> -DartifactId=catalina -Dversion=6.0.13-G543818 -Dpackaging=jar 
> -Dfile=/path/to/file -Durl=[url] -DrepositoryId=[id]
> 
>   Path to dependency:
>         1) org.apache.geronimo.devtools:testsuite-eclipse:pom:2.2.0
>         2) 
> org.apache.geronimo.assemblies:geronimo-tomcat6-jee5:zip:bin:2.0.2
>         3) org.apache.geronimo.configs:tomcat6:car:2.0.2
>         4) org.apache.geronimo.modules:geronimo-tomcat6:jar:2.0.2
>         5) org.apache.tomcat:catalina:jar:6.0.13-G543818
> 
> 3) org.apache.tomcat:jasper:jar:6.0.13-G543818
> 
>   Try downloading the file manually from the project website.
> 
>   Then, install it using the command:
>       mvn install:install-file -DgroupId=org.apache.tomcat 
> -DartifactId=jasper -Dversion=6.0.13-G543818 -Dpackaging=jar 
> -Dfile=/path/to/file
> 
>   Alternatively, if you host your own repository you can deploy the file 
> there:
>       mvn deploy:deploy-file -DgroupId=org.apache.tomcat 
> -DartifactId=jasper -Dversion=6.0.13-G543818 -Dpackaging=jar 
> -Dfile=/path/to/file -Durl=[url] -DrepositoryId=[id]
> 
>   Path to dependency:
>         1) org.apache.geronimo.devtools:testsuite-eclipse:pom:2.2.0
>         2) 
> org.apache.geronimo.assemblies:geronimo-tomcat6-jee5:zip:bin:2.0.2
>         3) org.apache.geronimo.configs:jasper:car:2.0.2
>         4) org.apache.tomcat:jasper:jar:6.0.13-G543818
> 
> ----------
> 3 required artifacts are missing.
> 
> for artifact:
>   org.apache.geronimo.devtools:testsuite-eclipse:pom:2.2.0
> 
> from the specified remote repositories:
>   central (http://repo1.maven.org/maven2),
>   apache.incubator 
> (http://people.apache.org/repo/m2-incubating-repository/),
>   java.net (http://download.java.net/maven/1/),
>   releases.openqa.org (http://archiva.openqa.org/repository/releases),
>   apache.snapshots (http://people.apache.org/repo/m2-snapshot-repository),
>   apache-snapshots (http://people.apache.org/repo/m2-snapshot-repository),
>   snapshots.openqa.org (http://archiva.openqa.org/repository/snapshots),
>   codehaus-snapshots (http://snapshots.repository.codehaus.org)
> 
> 
> 
> 
> Am 20.05.2009 17:10, schrieb Jack Cai:
>> Yes we will be looking at this.
>>
>> -Jack
>>
>> 2009/5/19 Johannes Weberhofer, Weberhofer GmbH <office@weberhofer.at
>> <mailto:office@weberhofer.at>>
>>
>>     The first release candidate of Eclipse 3.5 has been released. Are
>>     there any plans to support this version with the Plugin in the near
>>     future?
>>
>>     Best regards,
>>     Johannes Weberhofer
>>
>>
> 

Mime
View raw message